> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange the specified certificate.

> Exchange the specified certificate.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /exchangeCert
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /exchangeCert:
    post:
      tags:
        - exchangeCert
      summary: Exchange the specified certificate.
      description: Exchange the specified certificate.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/exchangeCert_input'
        required: true
      responses:
        '200':
          description: The action result
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    exchangeCert_input:
      type: object
      required:
        - Certificate
        - ExchangeType
      properties:
        WorkspaceId:
          type: string
          description: The workspace id. Required.
        ConnectorId:
          type: string
          description: The connector id. Required.
        PortId:
          type: string
          description: The port id.
        Certificate:
          type: string
          description: The certificate to exchange.
        ExchangeType:
          type: string
          description: >-
            The exchange type. Valid values are AS2(Request, Response),
            OFTP(Deliver, Request, Replace)
        CertificatePassword:
          type: string
          description: The password of the certificate(AS2).
        CertificateUsage:
          type: string
          description: >-
            The cryptographic function(s) for the certificate. Valid values are
            'Encryption,Verification,ServerTLS,ClientTLS'(AS2).
        ResponseURL:
          type: string
          description: The URL to which the response should be sent(AS2).
        RequestId:
          type: string
          description: The Request id(AS2).
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````